<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/SimCalorimeterHit.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SimCalorimeterHit.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_sim_calorimeter_hit_const_8h_source.html">eicd/SimCalorimeterHitConst.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_sim_calorimeter_hit_obj_8h_source.html">eicd/SimCalorimeterHitObj.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_sim_calorimeter_hit_data_8h_source.html">eicd/SimCalorimeterHitData.h</a>&quot;</code><br />
<code>#include &lt;array&gt;</code><br />
<code>#include &quot;podio/ObjectID.h&quot;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;ostream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SimCalorimeterHit.h:</div>
<div class="dyncontent">
<div class="center"><img src="_sim_calorimeter_hit_8h__incl.png" border="0" usemap="#eicd_2_sim_calorimeter_hit_8h" alt=""/></div>
<map name="eicd_2_sim_calorimeter_hit_8h" id="eicd_2_sim_calorimeter_hit_8h">
<area shape="rect" id="node2" href="_sim_calorimeter_hit_const_8h.html" title="eicd/SimCalorimeterHitConst.h" alt="" coords="227,80,430,107"/>
<area shape="rect" id="node3" href="_sim_calorimeter_hit_obj_8h.html" title="eicd/SimCalorimeterHitObj.h" alt="" coords="49,155,237,181"/>
<area shape="rect" id="node4" href="_sim_calorimeter_hit_data_8h.html" title="eicd/SimCalorimeterHitData.h" alt="" coords="313,229,509,256"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_sim_calorimeter_hit_8h__dep__incl.png" border="0" usemap="#eicd_2_sim_calorimeter_hit_8hdep" alt=""/></div>
<map name="eicd_2_sim_calorimeter_hit_8hdep" id="eicd_2_sim_calorimeter_hit_8hdep">
<area shape="rect" id="node2" href="_sim_calorimeter_hit_8cc.html" title="src/SimCalorimeterHit.cc" alt="" coords="5,155,175,181"/>
<area shape="rect" id="node3" href="_sim_calorimeter_hit_collection_8h.html" title="eicd/SimCalorimeterHitCollection.h" alt="" coords="199,80,426,107"/>
<area shape="rect" id="node5" href="_sim_calorimeter_hit_const_8cc.html" title="src/SimCalorimeterHitConst.cc" alt="" coords="451,155,655,181"/>
<area shape="rect" id="node4" href="_sim_calorimeter_hit_collection_8cc.html" title="src/SimCalorimeterHitCollection.cc" alt="" coords="199,155,426,181"/>
</map>
</div>
</div>
<p><a href="_sim_calorimeter_hit_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">eic::SimCalorimeterHit</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a76c3afc8ab3bf9fb028ace5e9de43fca"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#a76c3afc8ab3bf9fb028ace5e9de43fca">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const ConstSimCalorimeterHit &amp;value)</td></tr>
<tr class="separator:a76c3afc8ab3bf9fb028ace5e9de43fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
